### Function

# Gegl TileSourceCommand

#### Declaration

    gpointer
    (* GeglTileSourceCommand) (
      GeglTileSource* gegl_tile_source,
      GeglTileCommand command,
      gint x,
      gint y,
      gint z,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`gegl_tile_source`

  Type: `GeglTileSource`

  No description available.

  The data is owned by the caller of the function.

`command`

  Type: `GeglTileCommand`

  No description available.

`x`

  Type: `gint`

  No description available.

`y`

  Type: `gint`

  No description available.

`z`

  Type: `gint`

  No description available.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

No description available.

The data is owned by the called function.
The return value can be `NULL`.